Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`im`.`interfaces`.`IPerson``

interface documentation

`class IPerson(Interface): (source)`

Constructor: `IPerson(account)`

View In Hierarchy

Undocumented

Method | `__init__` | Initialize me.
Method | `getIdleTime` | No summary
Method | `getStatus` | What is my on-line status?
Method | `isOnline` | Am I online right now?
Method | `sendMessage` | Send a message to this person.

def __init__(name, account): (source)

Initialize me.

Parameters
name:string | My name, as the server knows me.
account:Account | The account I am accessed through.

def getIdleTime(): (source)

Returns
string (XXX: How about a scalar?) | Undocumented

def getStatus(): (source)

What is my on-line status?

Returns
`locals.StatusEnum`

def isOnline(): (source)

Am I online right now?

Returns
boolean | Undocumented

def sendMessage(text, metadata=None): (source)

Send a message to this person.

Parameters
text:string | Undocumented
metadata:dict | Undocumented